name: ln_jq_app
description: "加氢预约app"
# The following line prevents the package from being accidentally published to
# pub.dev using `flutter pub publish`. This is preferred for private packages.
publish_to: 'none' # Remove this line if you wish to publish to pub.dev

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number is used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
# In Windows, build-name is used as the major, minor, and patch parts
# of the product and file versions while build-number is used as the build suffix.
version: 1.2.4+7

environment:
  sdk: ^3.9.0

# Dependencies specify other packages tha。。。t your package needs in order to work.
# To automatically upgrade your package dependencies to the latest versions
# consider running `flutter pub upgrade --major-versions`. Alternatively,
# dependencies can be manually updated by changing the version numbers below to
# the latest version available on pub.dev. To see which dependencies have newer
# versions available, run `flutter pub outdated`.
dependencies:
  flutter:
    sdk: flutter

  # The following adds the Cupertino Icons font to your application.
  # Use with the CupertinoIcons class for iOS style icons.
  cupertino_icons: ^1.0.8
  getx_scaffold: ^0.2.2
  flutter_localizations:
    sdk: flutter

  encrypt: ^5.0.3
  get_storage: ^2.1.1
  shared_preferences: ^2.5.4

  flutter_native_splash: ^2.4.7
  dropdown_button2: ^2.3.8
  image_picker: ^1.2.1 # 用于从相册选择图片
  image: ^4.5.4
  flutter_pdfview: 1.4.3 #显示pdf
  photo_view: ^0.15.0 #操作图片
  flutter_inappwebview: ^6.1.5 # WebView插件
  geolocator: ^14.0.2 # 获取精确定位
  aliyun_push_flutter: ^1.3.6
  pull_to_refresh: ^2.0.0
  flutter_app_update: ^3.2.2
  saver_gallery: ^4.0.0
  path_provider: ^2.1.5

dev_dependencies:
  flutter_test:
    sdk: flutter

  flutter_lints: ^5.0.0


dependency_overrides:
  intl: 0.19.0
  device_info_plus: ^12.3.0

flutter:

  uses-material-design: true

  assets:
    - assets/images/
    - assets/html/

